Skip to main content
Version: v1.4 (dev)

Upgrade from v1.1.2/v1.2.0 to v1.2.1

Important changes to this version

Harvester v1.2.1 fixes upgrade known issues found in v1.2.0, we suggest upgrading v1.1.2 and v1.2.0 clusters to v1.2.1. The known issues found in v1.2.0 are:

For clusters already upgraded to v1.2.0, please refer to the release note for new changes.

General information

tip

Before you start an upgrade, you can run the pre-check script to make sure the cluster is in a stable state. For more details, please visit this URL for the script.

Once there is an upgradable version, the Harvester GUI Dashboard page will show an upgrade button. For more details, please refer to start an upgrade.

For the air-gap env upgrade, please refer to prepare an air-gapped upgrade.

Known issues

Please check v1.2.0 known issues.